---
# Dotfiles ────────────────────────────────────────────────────────────

theme:
  - nord
  - onedark
  - catppuccin

clipboard:
  - cliphist
  - copyq

screenshot:
  - wayshot
  - grim

notification:
  - dunst
  - mako
  - fnott

wallpaper_engine:
  - swww
  - swaybg

launcher:
  - fuzzel
  - wofi
  - rofi

ssh_client:
  - dropbear
  - openssh

music_daemon:
  - mpd
  - mopidy

gitcommit_sign_method:
  - openpgp
  - ssh
  - gitsign

image_viewer:
  - qimgv
  - vimiv # the Qt version
  - imv

# System ────────────────────────────────────────────────────────────

initramfs_generator:
  - mkinitfs
  - dracut
  - booster

snapshot_tool:
  - btrbk
  - sanoid
  - snapper
  - zrepl

# NOTE: Keep this in sync with `shell_mappings` in roles/system/defaults/main.yml
usershell:
  - ash
  - bash
  - dash
  - fish
  - hilbish
  - ion-shell
  - nushell
  - sh
  - xonsh
  - yash
  - zsh

seat_manager:
  - seatd
  - elogind

acpid_daemon:
  - busybox
  - acpid

device_manager:
  - mdev
  - mdevd
  - udev

# udhcpc, dhclient, dhcpcd are configured with 'networking' service using ifupdown-ng,
# in that same priority (/usr/libexec/ifupdown-ng/dhcp)
dhcp_client:
  - udhcpc # from busybox
  - dhcpcd
  - dhclient
  - connman
  - kea

crond_provider:
  - busybox
  - cronie
  - fcron

syslog_provider:
  - busybox
  - logbookd
  - rsyslog
  - sysklogd

ntp_client:
  - ntpsec
  - busybox
  - openntpd
  - chrony

dns_resolver:
  - dnscrypt-proxy
  - unbound

sudo_provider:
  - doas
  - please
  - sudo
